#ifndef SoundMessages
#define SoundMessages
//sndmsgs.c

//Звук ошибки
void ErrSnd()
{
	sound(1300);
	delay(150);
	sound(1000);
	delay(130);
	nosound();
}

//Высокий смигнал
void HighBeep()
{
	sound(3000);
	delay(50);
	nosound();
}

//Низкий сигнал
void LowBeep()
{
	sound(500);
	delay(50);
	nosound();
}

//Колокольчики Вверх
void ChimesIn()
{
int sndz=50;
sound(sndz);delay(60);sndz+=50;

do{sound(sndz);delay(60);sndz+=100;}while(sndz<500);
sound(sndz);delay(60);sndz+=500;
do{sound(sndz);delay(60);sndz+=1000;}while(sndz<=5000);
nosound();
}


//Колокольчики Вниз
void ChimesOut()
{
int sndz=5000;
sound(sndz);delay(60);sndz-=500;
do{sound(sndz);delay(60);sndz-=1000;}while(sndz>1000);
do{sound(sndz);delay(60);sndz-=100;}while(sndz>100);
sound(sndz);delay(60);sndz-=50;
sound(sndz);delay(60);
nosound();
}

//Звук-шутка :-)
void DeleteSnd()
{
int sndz=5000;
do{sound(sndz);delay(10);sndz-=50;}while(sndz>=1000);
sound(sndz);delay(60);sndz-=500;
do{sound(sndz);delay(60);sndz-=100;}while(sndz>100);
sound(sndz);delay(60);sndz-=50;
sound(sndz);delay(60);
nosound();
}


void Police()
{
int sndz=500;
for(int i=0; i<10; i++)
{
do{sound(sndz);delay(1);sndz+=10;}while(sndz<=2000);
do{sound(sndz);delay(1);sndz-=10;}while(sndz>=500);
}
nosound();
}

void Whistle()
{
int sndz=500;
do{sound(sndz);delay(1);sndz+=10;}while(sndz<=2000);
nosound();
}
#endif